import org.kde.qt.*;

public class Tut3 extends QObject {
	public static void main(String[] args) {
		QApplication a = new QApplication(args);

		QVBox box = new QVBox();
		box.resize(200, 120);
		
		QPushButton quit = new QPushButton("Quit", box);
		quit.setFont(new QFont("Times", 18, QFont.Bold, false));

		connect(quit, SIGNAL("clicked()"), a, SLOT("quit()"));
		
		a.setMainWidget(box);
		box.show();
		a.exec();
	}
	
	static {
		try {
			Class c = Class.forName("org.kde.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
